## GcrSimpleCollection

GcrSimpleCollection — A simple implementation of GcrCollection

## Functions

GcrCollection * | gcr_simple_collection_new ()
void | gcr_simple_collection_add ()
void | gcr_simple_collection_remove ()

## Types and Values

struct | GcrSimpleCollection
struct | GcrSimpleCollectionClass

## Object Hierarchy

        GObject
        ╰── GcrSimpleCollection

## Implemented Interfaces

GcrSimpleCollection implements GcrCollection.

## Description

A simple implementation of GcrCollection, which you can add and remove objects from. Use `gcr_simple_collection_add()` to do this `gcr_simple_collection_remove()`.

## Functions

### gcr_simple_collection_new ()

    GcrCollection *
    gcr_simple_collection_new (void);

Create a new GcrSimpleCollection.

#### Returns

a newly allocated collection, which should be freed with `g_object_unref()`.

[transfer full][type Gcr.SimpleCollection]

### gcr_simple_collection_add ()

    void
    gcr_simple_collection_add (GcrSimpleCollection *self,
                               GObject *object);

Add an object to this collection

#### Parameters

self | The collection |
object | The object to add |

### gcr_simple_collection_remove ()

    void
    gcr_simple_collection_remove (GcrSimpleCollection *self,
                                  GObject *object);

Remove an object from the collection.

#### Parameters

self | The collection |
object | The object to remove from the collection |

## Types and Values

### struct GcrSimpleCollection

    struct GcrSimpleCollection;

A simple implementation of GcrCollection.

### struct GcrSimpleCollectionClass

    struct GcrSimpleCollectionClass {
    	GObjectClass parent_class;
    };

The class for GcrSimpleCollection.

#### Members